
/* Reset */
html, body{background:#151515;}
html, body, a, table.table{color:#ffffff;}


/* Colors */
.color-p, .h-color-p:hover{color:var(--pcolor)!important;}
.color-white, .h-color-white:hover,
.color-black, .h-color-black:hover,
.color-dark, .h-color-dark:hover,
.color-01, .h-color-01:hover{color:#ffffff!important;}

.bg-p{background:var(--pcolor)!important;}
.bg-white, .bg-black, .bg-dark,
.bg-01{background:transparent!important;}

.bcolor-p{border-color:var(--pcolor)!important;}
.bcolor-white, .bcolor-black, .bcolor-dark,
.bcolor-01{border-color:#ffffff!important;}


/* Topnav */
nav.topnav::before{background-image:linear-gradient(to bottom, rgba(0,0,0,.6), rgba(0,0,0,0));}
nav.topnav .menu-option{color:#ffffff;}
nav.topnav .menu-option:hover{background:#777777;}
nav.topnav .menu-option .hamburger > *{background:#ffffff;}
nav.topnav .logo h6{color:var(--pcolor);}
nav.topnav .logo p{color:#ffffff;}
nav.topnav .menu > *:first-child{color:#ffffff;}
nav.topnav .menu:hover > *:first-child,
nav.topnav .menu.active > *:first-child{color:var(--pcolor)!important;}
nav.topnav .submenu-container, nav.topnav .submenu-container::before{background:var(--pcolor);}
nav.topnav .submenu > *:first-child{color:#ffffff;}
nav.topnav .submenu:hover > *:first-child{background:#4d4ea0;}
nav.topnav .btn.btn-action{background:transparent; color:#ffffff; border-color:#ffffff;}
nav.topnav .btn.btn-action:hover{background:var(--pcolor); border-color:var(--pcolor);}
nav.topnav .avatar-container > .dropdown{background:#151515; border-color:#999999;}
nav.topnav .avatar-container > .dropdown .MuiListItemIcon-root{color:#dddddd;}

nav.topnav.sticky{background:#151515; border-color:#3d3d3d;}
nav.topnav.sticky .btn.btn-action{
  background:var(--pcolor); color:#ffffff; border-color:var(--pcolor);
}

/* Sidenav */
nav.sidenav{background:#151515;}
nav.sidenav .options, nav.sidenav .menu-container{border-color:#3d3d3d;}
nav.sidenav .menu-option{color:#ffffff;}
nav.sidenav .menu-option:hover{background:#777777;}
nav.sidenav .hamburger > *{background:#ffffff;}
nav.sidenav .menu > *:first-child{color:#ffffff;}
nav.sidenav .submenu > *:first-child{color:#aaaaaa;}
nav.sidenav .menu .icon{color:#aaaaaa;}
nav.sidenav .menu:hover > *:first-child{background:#212121;}
nav.sidenav .menu:hover > *:first-child, nav.sidenav .menu:hover .icon{color:var(--pcolor);}
nav.sidenav .menu.active > *:first-child{background:var(--pcolor); color:#ffffff;}
nav.sidenav .menu.active .icon{color:#ffffff;}
nav.sidenav .submenu:hover > *:first-child{color:var(--pcolor);}

/* Back to Top */
.back-to-top{border-color:#151515; background:rgba(255,255,255,.7); color:#151515;}


/* App Container */
.app-container .app-card{border-color:#ffffff;}


/* Popup */
.popup-container{background:rgba(0,0,0,.75);}
.popup-container .popup-box{background:#000000; border:1px solid #ffffff;}


/* Special Card */
.ss-card .title:hover{color:var(--pcolor);}
.ss-card .text-dot{background:#ffffff;}

/* Special Card 02 */
.ss-card.ss-card-02 > .wrapper{
	background:rgba(255,255,255,.1); backdrop-filter:blur(10px);
	border-top:1px solid rgba(255,255,255,.5);
	border-left:1px solid rgba(255,255,255,.5);
}

/* Special Card 03 */
.ss-card.ss-card-03 .loading-text{background:#ffffff; color:#ffffff;}

/* Special Card 04 */
.ss-card.ss-card-04{background:#151515; border-color:rgba(255,255,255,.2);}


/* Special Image */
.ss-img > .loading{background:#000000;}


/* Special Title */
.ss-title::before{background:var(--pcolor);}
.ss-title.stripe-danger::before{background:#f33333;}
.ss-title.stripe-warning::before{background:#ffd531;}
.ss-title.stripe-success::before{background:#31e660;}


/* Auth 01 */
.auth-01 .auth-container{background:#151515;}
.auth-01 .bg-container{background:var(--pcolor);}


/* Banner 01 */
.banner-01 .slide > .wrapper::after{box-shadow:0 0 40px 80px #151515;}
.banner-01 .title, .banner-01 p{color:#ffffff;}
.banner-01 .avatar-wrapper > .name{color:#ffffff;}
.banner-01 .slick-dots li button{background:#ffffff}
.banner-01 .slick-arrow{border-color:#ffffff;}
.banner-01 .slick-arrow:hover{background:#ffffff;}
.banner-01 .slick-arrow::before{border-color:#ffffff;}


/* Breadbrumb 01 */
.breadcrumb-01, 
.breadcrumb-01 .structure > .icon,
.breadcrumb-01 .structure > a{color:#ffffff;}
.breadcrumb-01 .structure > a:hover{color:#e59d2b;}
.breadcrumb-01.color-black, 
.breadcrumb-01.color-black .structure > .icon,
.breadcrumb-01.color-black .structure > a{color:#000000;}
.breadcrumb-01.color-black .structure > a:hover{color:#e59d2b;}
.breadcrumb-01.color-black-theme,
.breadcrumb-01.color-black-theme .structure > .icon, 
.breadcrumb-01.color-black-theme .structure > a{color:#000000;}
.breadcrumb-01.color-black-theme .structure > a:hover{color:#e59d2b;}
.breadcrumb-01.style-color-02,
.breadcrumb-01.style-color-02 .structure > .icon,
.breadcrumb-01.style-color-02 .structure > a{color:#ffffff;}
.breadcrumb-01.style-color-02 .structure > a:hover{color:#e59d2b;}
.breadcrumb-01 .profile > .icon-upload{background:#2f302f;}


/* Content 01 */
.content-01 .p-dot{background:#ffffff;}
.content-01 .iframe-container{border:1px solid rgba(255,255,255,.25);}


/* Intro 01 */
.intro-01 .slide-container .slick-dots li button{background:#ffffff}


/* Related Container */
.r-container{border-color:rgba(255,255,255,.15);}
.r-container .r-header{background:rgba(255,255,255,.1); border-color:rgba(255,255,255,.15);}
.r-container .r-block:hover, .r-container .r-block.active{background:rgba(255,255,255,.1);}


/* Material UI Custom */
.MuiDivider-root{background:rgba(255,255,255,.15);} 
.MuiOutlinedInput-notchedOutline{border-color:rgba(255,255,255,.7);}
.MuiFormControl-root:not(.Mui-focused):hover .MuiOutlinedInput-notchedOutline{
  border-color:var(--pcolor);
}
.PrivateNotchedOutline-legendLabelled-3, .MuiFormLabel-root.Mui-disabled, 
.MuiInputLabel-outlined{color:rgba(255,255,255,.7);}
.MuiOutlinedInput-input, .MuiPaginationItem-root, .MuiSelect-icon, 
.MuiTab-textColorPrimary{color:#ffffff;}
.MuiRadio-root .MuiSvgIcon-root:first-child, .MuiAutocomplete-clearIndicator, 
.MuiSvgIcon-root{fill:#ffffff;}
.MuiAutocomplete-tag{border-color:#ffffff; color:#ffffff;}
.MuiOutlinedInput-root.Mui-disabled .MuiOutlinedInput-notchedOutline{
	border-color:rgba(255,255,255,.7)!important;
}
.MuiInputBase-input.Mui-disabled{color:rgba(255,255,255,.7);}
.MuiTablePagination-toolbar{color:#ffffff;}
